Bug 8175 - (int-153515) Exported calendars lack PRODID properties
(int-153515)
: Exported calendars lack PRODID properties
Status: RESOLVED FIXED
Product: Calendar
General
: 5.0/(2.2009.51-1)
: All Maemo
: Unspecified normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: calendar-general-bugs
: http://tools.ietf.org/html/rfc5545#se...
:
:
:
  Show dependency tree
 
Reported: 2010-01-18 05:24 UTC by Lucas Maneos
Modified: 2010-03-15 20:51 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Lucas Maneos (reporter) 2010-01-18 05:24:16 UTC
SOFTWARE VERSION:
2.2009.51-1

EXACT STEPS LEADING TO PROBLEM: 
1. Start calendar.
2. Tap menubar -> Settings -> Edit Calendars.
3. Tap a calendar with events.
4. Tap Export, enter filename, tap Save.
5. Inspect output file.

EXPECTED OUTCOME:
Calendar objects contain PRODID properties.

RFC 5545:

> 3.6. Calendar Components
> [...]
>                   ;
>                   ; The following are REQUIRED,
>                   ; but MUST NOT occur more than once.
>                   ;
>                   prodid / version /
> [...]
> An iCalendar object MUST include the "PRODID" and "VERSION" calendar
> properties.

> 3.7.3. Product Identifier
> 
>  Property Name:  PRODID
>  [...]
>  Conformance:  The property MUST be specified once in an iCalendar
>  object.

ACTUAL OUTCOME:
No PRODID properties.

REPRODUCIBILITY:
Always.
Comment 1 Alvaro Manera nokia 2010-02-04 13:26:10 UTC
This is fixed in:
http://maemo.gitorious.org/calendar-backend/calendar-backend/commit/d8ea02e81a3c221c14dfd1a7c8d9de833db58594

Thanx for reporting!
Comment 2 Andre Klapper maemo.org 2010-02-09 20:08:56 UTC
This has been fixed in package
calendar-backend 0.6-18+0m5
which is part of the internal build version
10.2010.06-3
(Note: 2009/2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 3 Andre Klapper maemo.org 2010-03-15 20:51:25 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).